<template>
  <div class="meteoBlock d-flex-center flex-c">
    <div class="meteoResult p-r">
      <!-- WEATHER ICON -->
      <section class="weatherIcon d-flex-center p-a">
        <img :src="`http://openweathermap.org/img/wn/${data.weather[0].icon}@2x.png`" :alt="`${data.weather[0].description}`">
      </section>

      <!-- TEMPERATURES BLOCK -->
      <section class="temperatures d-flex-center flex-c p-a">
        <h1>{{ Math.round(data.main.temp) }}°C</h1>
        <h3>Ressenti: {{ Math.round(data.main.feels_like) }}°C</h3>

        <!-- MIN AND MAX TEMPS -->
        <div class="minAndMaxTemp d-flex-center">
          <h3 class="p-a">Min. <span class="minTemp">{{ Math.round(data.main.temp_min) }}°C</span></h3>
          <h3 class="p-a">Max. <span class="maxTemp">{{ Math.round(data.main.temp_max) }}°C</span></h3>
        </div>

      </section>

      <!-- DETAILS -->
      <section class="otherInfos p-a">
        <div class="locationAndDate">

          <!-- CITY -->
          <h1>{{ data.name }}</h1>

          <!-- DATETIME -->
          <h3>{{ date }}</h3>

          <!-- WIND -->
          <div class="windBlock">
            <h3>Vent : {{ data.wind.speed }}m/s</h3>
            <img src="../assets/wind-direction.svg" id="windDirectionIcon"/>
          </div>

          <!-- SUN -->
          <div class="sunBlock">
            <h3>Lever du soleil: {{ sunrise }}</h3>
            <h3>Coucher du soleil: {{ sunset }}</h3>
          </div>
        </div>
      </section>

    </div>
  </div>
</template>

<script>
export default {
  name: 'WeatherResult',
  props: {
    data: {},
    sunrise: String,
    sunset: String,
    date: String,
  },
}
</script>

<style scoped lang="scss">
  @import './WeatherResult.scss';
</style>